Sync with portage [Wed Mar 22 13:49:58 MSK 2023].

master
root 1 year ago
parent 2ae70fe7a4
commit f862e20449

Binary file not shown.

Binary file not shown.

@ -71,6 +71,14 @@ get_audio() {
fi
}
pkg_pretend() {
[[ ${MERGE_TYPE} != binary ]] && use test && tc-check-openmp
}
pkg_setup() {
[[ ${MERGE_TYPE} != binary ]] && use test && tc-check-openmp
}
src_unpack() {
for file in ${A}; do
case "${file}" in

Binary file not shown.

@ -2,3 +2,5 @@ DIST aws-cli-1.27.84.gh.tar.gz 2378573 BLAKE2B b85d7eeb22b0a2a9264b49a27f2e3d3da
DIST aws-cli-1.27.89.gh.tar.gz 2382599 BLAKE2B 3a2dae3cc1928e149dd605de1e9a350989e1cf4f813dc14466ba40c0a2747e69b6a8c5716d48f2526920798f0d341dcaa7ec0c2fd95af1b5decd3830814a243b SHA512 9a90c933e5ae3f25271ec369607cb6c44adf96dc9d324205714c9790b6744d7f2c8e4c6b901d4bb4f58b6871c315e0543b3f846cf530e7f95ed31d196f8c3326
DIST aws-cli-1.27.93.gh.tar.gz 2385084 BLAKE2B 18dc59339303b9f32e297ca6a37c5d2a9466a2ac2b2f8795baeb686465dfe561ecb5abb29c38d37f32f44408b9ff1e083c330fbe23a5bf3c19a05033993dc533 SHA512 ce979f35966f2c48d8bf74ed95d27e5d6de9e33990bc01556bba660fd5692dd3751002d1dafbba11121e768a21d97130d9e76d309640ade5377193ba79ba1628
DIST aws-cli-1.27.94.gh.tar.gz 2385480 BLAKE2B 8712056c53d704e368f81d38779201d0ef28d0b633ac4a877957b5d6338a6daf45b5408dcf0bee3f6c48a0b10af625bfee835f63e837814b42ec3a57745e4d61 SHA512 48dc09f0af71eb9b9d93ffd2c008511e2379f2a47d4913c6c4296804d3ec3c30a1811564c017388329cac9261b1c3021fadc60771ca9d0952982401f5e4f7c59
DIST aws-cli-1.27.95.gh.tar.gz 2385780 BLAKE2B 4df38ab1d3d22571dd7d4afa896316b65bf903c61a5644c6d7988d3e841971a85bb7eb449edb0d9c0141e6c768e36ccc19ee155e4a5937050f4876060b3b2df8 SHA512 9b478901a62fbfd45fc23a82b7a8039dbff6e3e5c406153ea435e18b54ec7a263f7e5410cd1a5ac5916906ef9e8f8219f0da46a885ae4f33a43227059e56833f
DIST aws-cli-1.27.96.gh.tar.gz 2386115 BLAKE2B 5f8be75fbc97b466667929490fcfeda73900004f6bd66aedbaa7014854a6ad148101f617ccbc2cfc9d0fe7ac373b8671897b6ebdddf36f4d04863e331db23467 SHA512 20b15213c56dbaf7f9286b5f618c9636e2db3fc00d2d1feb5f81846ece2291503578e55066a8ca1b8f942a4641cec33c1faa3831e95bb6441a5e1baf9a1c94a1

@ -0,0 +1,80 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# TODO
tests/functional/eks/test_kubeconfig.py::TestKubeconfigLoader::test_load_simple
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_env_only
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_existing
tests/unit/customizations/eks/test_kubeconfig.py::TestKubeconfigValidator::test_valid
)
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -0,0 +1,80 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )
inherit bash-completion-r1 distutils-r1 multiprocessing
MY_P=aws-cli-${PV}
DESCRIPTION="Universal Command Line Environment for AWS"
HOMEPAGE="
https://github.com/aws/aws-cli/
https://pypi.org/project/awscli/
"
SRC_URI="
https://github.com/aws/aws-cli/archive/${PV}.tar.gz
-> ${MY_P}.gh.tar.gz
"
S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
# botocore is x.(y+2).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 2)).$(ver_cut 3-)"
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
dev-python/colorama[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/rsa[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
!app-admin/awscli-bin
"
BDEPEND="
test? (
dev-python/pytest-forked[${PYTHON_USEDEP}]
dev-python/pytest-xdist[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
src_prepare() {
# do not rely on bundled deps in botocore (sic!)
find -name '*.py' -exec sed -i \
-e 's:from botocore[.]vendored import:import:' \
-e 's:from botocore[.]vendored[.]:from :' \
{} + || die
# strip overzealous upper bounds on requirements
sed -i -e 's:,<[0-9.]*::' -e 's:==:>=:' setup.py || die
distutils-r1_src_prepare
}
python_test() {
local EPYTEST_DESELECT=(
# TODO
tests/functional/eks/test_kubeconfig.py::TestKubeconfigLoader::test_load_simple
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_env_only
tests/unit/customizations/eks/test_update_kubeconfig.py::TestKubeconfigSelector::test_choose_existing
tests/unit/customizations/eks/test_kubeconfig.py::TestKubeconfigValidator::test_valid
)
# integration tests require AWS credentials and Internet access
epytest tests/{functional,unit} -n "$(makeopts_jobs)" --forked
}
python_install_all() {
newbashcomp bin/aws_bash_completer aws
insinto /usr/share/zsh/site-functions
newins bin/aws_zsh_completer.sh _aws
distutils-r1_python_install_all
rm "${ED}"/usr/bin/{aws.cmd,aws_bash_completer,aws_zsh_completer.sh} || die
}

@ -1 +1,2 @@
DIST eclean-kernel-2.99.3.tar.gz 20031 BLAKE2B 70830639eb00bde810e29361dec7c7b90f5b85b79b5be865f23cf45254cbf6139ef335fb5bfef08e2512512e57867df62f6468ce8de1da58cc9a4cfa27a26244 SHA512 edbe373b81a2eb5c7fca8794f9577c68ab66305e9085cc7535cd5d8a8fdd549b2035cb0b5f3e5a69cc735146c2eef81dc5c1f5284ef255420aca0cda9e518b14
DIST eclean-kernel-2.99.4.gh.tar.gz 21856 BLAKE2B ff9815e69054f7f7db84088ea0b1f9a8915927d4696f2cae51d7f3f96e423b7e5938f935808cf46666dba473f4c4ef4fda2acbe9662892cfbfbb8ad653724042 SHA512 8e5bfc6b4bdfb70d4d0139afbb0fbcb6772ae2ba0d4d4449705068b65d4f6239d08918c824326c7440172161513adcd66e477a8879a65964f8fc7965cb827535

@ -0,0 +1,30 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{9..11} )
inherit distutils-r1
DESCRIPTION="Remove outdated built kernels"
HOMEPAGE="https://github.com/projg2/eclean-kernel/"
SRC_URI="
https://github.com/projg2/eclean-kernel/archive/v${PV}.tar.gz
-> ${P}.gh.tar.gz
"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~riscv ~x86"
IUSE="lz4 lzo zstd"
RDEPEND="
kernel_linux? ( dev-python/pymountboot[${PYTHON_USEDEP}] )
lz4? ( dev-python/lz4[${PYTHON_USEDEP}] )
lzo? ( dev-python/python-lzo[${PYTHON_USEDEP}] )
zstd? ( dev-python/zstandard[${PYTHON_USEDEP}] )
"
distutils_enable_tests pytest

@ -3,7 +3,7 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
DISTUTILS_USE_PEP517=flit
PYTHON_COMPAT=( python3_{9..11} )
inherit distutils-r1 git-r3

@ -1,2 +1 @@
DIST entr-5.2.tar.gz 25834 BLAKE2B c14eddaaf26994679991c43b38dcea0f1cbf53ce517af462cfed9dea2c914d9c1719053cb3b9f28f04d0cbf8719fe5612963c1428832e02bd55545ba33c72556 SHA512 b12310b6695f0b3d3d830b651dd182ddf2321aad38f569066cc2e5b17570070e48eb4900725c88c1d31a8ff71099aba78fb7508ad60706265cbdf8f29257eaaa
DIST entr-5.3.tar.gz 20905 BLAKE2B 79b4c39ee3f9530db1d8a6cd62a6aa925e201d6b5b370b25c3884b160a83658688204005db612b1d18743ba39f0de6ccad8492910142ebfff7b550a5ec48516d SHA512 b160cb60de99a743226b472256d937ef6ace54f5350a83420f59ac2706cd0fb042d6f85fcac6c73e76c161c6225b956df8b00156dea9ce55d8b8225e8ca13e7f

@ -1,32 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit toolchain-funcs
DESCRIPTION="Run arbitrary commands when files change"
HOMEPAGE="
https://eradman.com/entrproject/
https://github.com/eradman/entr
"
SRC_URI="https://eradman.com/entrproject/code/${P}.tar.gz"
LICENSE="ISC"
SLOT="0"
KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv x86"
src_configure() {
sh configure || die
sed -i -e 's#\(^PREFIX \).*#\1\?= /usr#' Makefile.bsd || die
}
src_compile() {
export CC="$(tc-getCC)"
default
}
src_test() {
export CC="$(tc-getCC)"
default
}

@ -16,7 +16,7 @@ fi
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
KEYWORDS="amd64 ~arm64 x86"
DEPEND="
dev-db/sqlite

Binary file not shown.

@ -14,7 +14,7 @@ S="${WORKDIR}"/${P}/build/meson
LICENSE="|| ( BSD GPL-2 )"
SLOT="0/1"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="+lzma lz4 static-libs test zlib"
RESTRICT="!test? ( test )"

Binary file not shown.

@ -100,6 +100,7 @@ src_compile() {
export -n GOCACHE GOPATH XDG_CACHE_HOME
GOBIN="${S}/bin" \
emake all \
PREFIX="${EPREFIX}/usr" \
GIT_BRANCH=master \
GIT_BRANCH_CLEAN=master \
COMMIT_NO="${git_commit}" \

Binary file not shown.

@ -19,10 +19,13 @@ fi
LICENSE="Apache-2.0 BSD BSD-2 LGPL-3 MIT MPL-2.0"
SLOT="0"
IUSE="fuse"
RDEPEND="
app-crypt/gnupg
sys-fs/fuse:0=
fuse? (
~app-crypt/kbfs-${PV}
)
"
src_unpack() {

Binary file not shown.

@ -1,4 +1,5 @@
DIST vim-9.0.1000.tar.gz 16842747 BLAKE2B 85edab7d13daa3e84ef0aeb50e3e9bfd31f0634d8e480c105727b0c34318e0adf7f1276dcdac53df8fc416fd8dfb70377cd74ed570752a3e77f07a083fa6c113 SHA512 9d2b914a112948d77b92c8dcafc2f711a83c3fdaf35a28f7f606e77007b9320e2260a0f6b24fc875a817c33c012f077f89730b34e9f12d6f00795c5c806704c8
DIST vim-9.0.1157.tar.gz 16924574 BLAKE2B 0cdc6cf61f5abdaff0762b98550bfa5bae8f0485ddd0e9947a5fe52390f9da54fc8f5fdae767fb8f5d3ac2b441253917a80ae7f6092f67b69bdc9b6a630df8e2 SHA512 19240a9bcf5900766db42e2894b1bf7b849274711f17dc267671aacd867b334c3d30f39947dde7dd0245f289e9ad801eeb272f34a2ab15d01fac40bf71a54271
DIST vim-9.0.1363.tar.gz 16974190 BLAKE2B 456114cd7e74836998b51e9272e9c9a12952146f42740b3df66e36ee8e47c8c0538341d9ac9c877c93e0b356fd9ca46a2016e9386d53e3cbfd51d0e2b113bc5a SHA512 2e79e104d9816438c14f94d0e858766129eb3f706b3a89a9761331d32b46b3f83eeadb2ce0d2ec14392a69122ab8761e57218c0e5731a4453d2b91f53a70c4c8
DIST vim-9.0.1403.tar.gz 16976705 BLAKE2B 9664d52de488086308fcbcda0b0a1167161afbf0efbb40dd9ce9e2393f0ada35e0a44d7f0c3f789d26ae1427604a281f689e87885fbb1557dce12a69898ec46d SHA512 bd83feba38a4aa9b3cf910a0b5a2c153abc4c6eaf9abf0ebee389879ff9ddee51c6f9dba5151aab5df3f73594cf8921d0a0e34121c50e65366cdcdd6482fd00f
DIST vim-patches-vim-9.0.1000-patches.tar.bz2 3245 BLAKE2B 3bf3d0e314cc3f96d5d9675de196a62c4c8a72645d56ef94b80768571c99cba5cc556442e3bd2dfa8818460fd851fe7bd1ae15999af7225fb271b81c43105843 SHA512 2883441a2001bf7ce89a7f0862f780b71cc0164c8fcb8dbdf7040e1bcbcf408d138d3d77f308aa54c762e9975fa5ec89cfceeabbf721344dfc938870a363667a

@ -0,0 +1,378 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# Please bump with app-editors/vim-core and app-editors/vim
VIM_VERSION="9.0"
VIM_PATCHES_VERSION="9.0.1000"
LUA_COMPAT=( lua5-{1..4} luajit )
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby27 ruby30 ruby31"
inherit bash-completion-r1 flag-o-matic lua-single prefix python-single-r1 ruby-single toolchain-funcs vim-doc xdg-utils
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-${VIM_PATCHES_VERSION}-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
fi
S="${WORKDIR}"/vim-${PV}
DESCRIPTION="GUI version of the Vim text editor"
HOMEPAGE="https://www.vim.org https://github.com/vim/vim"
LICENSE="vim"
SLOT="0"
IUSE="acl aqua crypt cscope debug lua minimal motif netbeans nls perl python racket ruby selinux session sound tcl"
REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )
aqua? ( !motif )
"
RDEPEND="
~app-editors/vim-core-${PV}
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
x11-libs/libICE
x11-libs/libSM
x11-libs/libXext
x11-libs/libXt
acl? ( kernel_linux? ( sys-apps/acl ) )
!aqua? (
motif? ( >=x11-libs/motif-2.3:0 )
!motif? (
x11-libs/gtk+:3
x11-libs/libXft
)
)
crypt? ( dev-libs/libsodium:= )
cscope? ( dev-util/cscope )
lua? (
${LUA_DEPS}
$(lua_gen_impl_dep 'deprecated' lua5-1)
)
nls? ( virtual/libintl )
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( ${RUBY_DEPS} )
selinux? ( sys-libs/libselinux )
session? ( x11-libs/libSM )
sound? ( media-libs/libcanberra )
tcl? ( dev-lang/tcl:0= )
"
DEPEND="${RDEPEND}
x11-base/xorg-proto"
# configure runs the Lua interpreter
BDEPEND="
sys-devel/autoconf
virtual/pkgconfig
lua? ( ${LUA_DEPS} )
nls? ( sys-devel/gettext )
"
PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
if [[ ${PV} != 9999* ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
PATCHES=(
"${WORKDIR}/vim-patches-vim-${VIM_PATCHES_VERSION}-patches"
)
fi
# various failures (bugs #630042 and #682320)
RESTRICT="test"
# platform-specific checks (bug #898450):
# - acl() -- Solaris
# - statacl() -- AIX
QA_CONFIG_IMPL_DECL_SKIP=(
'acl'
'statacl'
)
pkg_setup() {
# people with broken alphabets run into trouble. bug 82186.
unset LANG LC_ALL
export LC_COLLATE="C"
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup
}
src_prepare() {
default
# Fixup a script to use awk instead of nawk
sed -i -e \
'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug 29398 (27 Sep 2003 agriffis)
sed -i -e \
's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.ac || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug 43885 (20 Mar 2004 agriffis)
sed -i -e \
's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile || die
fi
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.ac is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i -e \
's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm -v src/auto/configure || die "rm failed"
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope; then
sed -i -e \
'/# define FEAT_CSCOPE/d' src/feature.h || die "couldn't disable cscope"
fi
}
src_configure() {
# Fix bug 37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
local file
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e ${file} ]]; then
addwrite $file
fi
done
use debug && append-flags "-DDEBUG"
local myconf=(
--with-features=huge
--disable-gpm
--with-gnome=no
$(use_enable sound canberra)
$(use_enable acl)
$(use_enable crypt libsodium)
$(use_enable cscope)
$(use_enable netbeans)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python python3interp)
$(use_with python python3-command "${PYTHON}")
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable session xsmp)
$(use_enable tcl tclinterp)
)
if use lua; then
# -DLUA_COMPAT_OPENLIB=1 is required to enable the
# deprecated (in 5.1) luaL_openlib API (#874690)
use lua_single_target_lua5-1 && append-cppflags -DLUA_COMPAT_OPENLIB=1
myconf+=(
--enable-luainterp
$(use_with lua_single_target_luajit luajit)
--with-lua-prefix="${EPREFIX}/usr"
)
fi
# Default is gtk unless aqua or motif are enabled
echo ; echo
if use aqua; then
einfo "Building gvim with the Carbon GUI"
myconf+=(
--enable-darwin
--enable-gui=carbon
)
elif use motif; then
einfo "Building gvim with the MOTIF GUI"
myconf+=( --enable-gui=motif )
else
myconf+=( --enable-gtk3-check )
einfo "Building gvim with the gtk+-3 GUI"
myconf+=( --enable-gui=gtk3 )
fi
echo ; echo
# let package manager strip binaries
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# keep prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
if [[ ${CHOST} == *-interix* ]]; then
# avoid finding of this function, to avoid having to patch either
# configure or the source, which would be much more hackish.
# after all vim does it right, only interix is badly broken (again)
export ac_cv_func_sigaction=no
fi
if tc-is-cross-compiler ; then
export vim_cv_getcwd_broken=no \
vim_cv_memmove_handles_overlap=yes \
vim_cv_stat_ignores_slash=yes \
vim_cv_terminfo=yes \
vim_cv_toupper_broken=no
fi
econf \
--with-modified-by=Gentoo-${PVR} \
--with-vim-name=gvim \
--with-x \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
einfo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
einfo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
einfo
# Don't let vim talk to X
unset DISPLAY
# Make gvim not try to connect to X. See :help gui-x11-start in vim for how
# this evil trickery works.
ln -s "${S}"/src/gvim "${S}"/src/testvim || die
# Make sure our VIMPROG is used.
sed -i -e 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
# Don't do additional GUI tests.
emake -j1 VIMPROG=../testvim -C src/testdir nongui
}
# Call eselect vi update with --if-unset
# to respect user's choice (bug 187449)
eselect_vi_update() {
ebegin "Calling eselect vi update"
eselect vi update --if-unset
eend $?
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dobin src/gvim
dosym gvim /usr/bin/gvimdiff
dosym gvim /usr/bin/evim
dosym gvim /usr/bin/eview
dosym gvim /usr/bin/gview
dosym gvim /usr/bin/rgvim
dosym gvim /usr/bin/rgview
emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
dodir /usr/share/man/man1
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1 || die "echo failed"
echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1 || die "echo failed"
echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1 || \
die "echo failed"
insinto /etc/vim
newins "${FILESDIR}"/gvimrc-r1 gvimrc
eprefixify "${ED}"/etc/vim/gvimrc
# bash completion script, bug #79018.
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# don't install vim desktop file
rm -v "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
}
pkg_postinst() {
# update documentation tags (from vim-doc.eclass)
update_vim_helptags
# update fdo mime stuff, bug #78394
xdg_desktop_database_update
# update icon cache
xdg_icon_cache_update
# call eselect vi update
eselect_vi_update
}
pkg_postrm() {
# update documentation tags (from vim-doc.eclass)
update_vim_helptags
# update fdo mime stuff, bug #78394
xdg_desktop_database_update
# update icon cache
xdg_icon_cache_update
# call eselect vi update
eselect_vi_update
}

@ -1,4 +1,5 @@
DIST vim-9.0.1000.tar.gz 16842747 BLAKE2B 85edab7d13daa3e84ef0aeb50e3e9bfd31f0634d8e480c105727b0c34318e0adf7f1276dcdac53df8fc416fd8dfb70377cd74ed570752a3e77f07a083fa6c113 SHA512 9d2b914a112948d77b92c8dcafc2f711a83c3fdaf35a28f7f606e77007b9320e2260a0f6b24fc875a817c33c012f077f89730b34e9f12d6f00795c5c806704c8
DIST vim-9.0.1157.tar.gz 16924574 BLAKE2B 0cdc6cf61f5abdaff0762b98550bfa5bae8f0485ddd0e9947a5fe52390f9da54fc8f5fdae767fb8f5d3ac2b441253917a80ae7f6092f67b69bdc9b6a630df8e2 SHA512 19240a9bcf5900766db42e2894b1bf7b849274711f17dc267671aacd867b334c3d30f39947dde7dd0245f289e9ad801eeb272f34a2ab15d01fac40bf71a54271
DIST vim-9.0.1363.tar.gz 16974190 BLAKE2B 456114cd7e74836998b51e9272e9c9a12952146f42740b3df66e36ee8e47c8c0538341d9ac9c877c93e0b356fd9ca46a2016e9386d53e3cbfd51d0e2b113bc5a SHA512 2e79e104d9816438c14f94d0e858766129eb3f706b3a89a9761331d32b46b3f83eeadb2ce0d2ec14392a69122ab8761e57218c0e5731a4453d2b91f53a70c4c8
DIST vim-9.0.1403.tar.gz 16976705 BLAKE2B 9664d52de488086308fcbcda0b0a1167161afbf0efbb40dd9ce9e2393f0ada35e0a44d7f0c3f789d26ae1427604a281f689e87885fbb1557dce12a69898ec46d SHA512 bd83feba38a4aa9b3cf910a0b5a2c153abc4c6eaf9abf0ebee389879ff9ddee51c6f9dba5151aab5df3f73594cf8921d0a0e34121c50e65366cdcdd6482fd00f
DIST vim-patches-vim-9.0.1000-patches.tar.bz2 3245 BLAKE2B 3bf3d0e314cc3f96d5d9675de196a62c4c8a72645d56ef94b80768571c99cba5cc556442e3bd2dfa8818460fd851fe7bd1ae15999af7225fb271b81c43105843 SHA512 2883441a2001bf7ce89a7f0862f780b71cc0164c8fcb8dbdf7040e1bcbcf408d138d3d77f308aa54c762e9975fa5ec89cfceeabbf721344dfc938870a363667a

@ -0,0 +1,241 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# Please bump with app-editors/vim and app-editors/gvim
VIM_VERSION="9.0"
VIM_PATCHES_VERSION="9.0.1000"
inherit bash-completion-r1 desktop flag-o-matic prefix toolchain-funcs vim-doc xdg-utils
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-${VIM_PATCHES_VERSION}-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
S="${WORKDIR}/vim-${PV}"
DESCRIPTION="vim and gvim shared files"
HOMEPAGE="https://www.vim.org https://github.com/vim/vim"
LICENSE="vim"
SLOT="0"
IUSE="nls acl minimal"
# ncurses is only needed by ./configure, so no subslot operator required
DEPEND=">=sys-libs/ncurses-5.2-r2:0"
BDEPEND="sys-devel/autoconf"
if [[ ${PV} != 9999* ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
PATCHES=(
"${WORKDIR}/vim-patches-vim-${VIM_PATCHES_VERSION}-patches"
)
fi
# platform-specific checks (bug #898406):
# - acl() -- Solaris
# - statacl() -- AIX
QA_CONFIG_IMPL_DECL_SKIP=(
'acl'
'statacl'
)
pkg_setup() {
# people with broken alphabets run into trouble. bug #82186.
unset LANG LC_ALL
export LC_COLLATE="C"
}
src_prepare() {
default
# Fixup a script to use awk instead of nawk
sed -i \
-e '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "sed failed"
# See bug #77841. We remove this file after the tarball extraction.
rm -v "${S}"/runtime/tools/vimspell.sh || die "rm failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' >> "${S}"/src/feature.h || die
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' >> "${S}"/src/feature.h || die
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug #29398 (27 Sep 2003 agriffis)
sed -i 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.ac || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug #43885 (20 Mar 2004 agriffis)
sed -i 's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile || die "sed failed"
fi
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
# Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
# Fix bug #76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
# Fix bug #18245: Prevent "make" from the following chain:
# (1) Notice configure.ac is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
# Remove src/auto/configure file.
rm -v src/auto/configure || die "rm configure failed"
}
src_configure() {
# Fix bug #37354: Disallow -funroll-all-loops on amd64
# Bug 57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug 24447). The hvc
# things are for ppc64, see bug 86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e "${file}" ]]; then
addwrite ${file}
fi
done
# Let Portage do the stripping. Some people like that.
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
local myconf=(
--with-modified-by=Gentoo-${PVR}
--enable-gui=no
--without-x
--disable-darwin
--disable-perlinterp
--disable-pythoninterp
--disable-rubyinterp
--disable-gpm
--disable-selinux
$(use_enable nls)
$(use_enable acl)
)
# Keep Gentoo Prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
if tc-is-cross-compiler ; then
export vim_cv_getcwd_broken=no \
vim_cv_memmove_handles_overlap=yes \
vim_cv_stat_ignores_slash=yes \
vim_cv_terminfo=yes \
vim_cv_toupper_broken=no
fi
econf "${myconf[@]}"
}
src_compile() {
emake -j1 -C src auto/osdef.h objects
emake tools
}
src_test() { :; }
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
dodir /usr/{bin,share/{man/man1,vim}}
emake -C src \
installruntime \
installmanlinks \
installmacros \
installtutor \
installtutorbin \
installtools \
install-languages \
DESTDIR="${D}" \
BINDIR="${EPREFIX}"/usr/bin \
MANDIR="${EPREFIX}"/usr/share/man \
DATADIR="${EPREFIX}"/usr/share
keepdir ${vimfiles}/keymap
# default vimrc is installed by vim-core since it applies to
# both vim and gvim
insinto /etc/vim/
newins "${FILESDIR}"/vimrc-r6 vimrc
eprefixify "${ED}"/etc/vim/vimrc
if use minimal; then
# To save space, install only a subset of the files.
# Helps minimalize the livecd, bug 65144.
rm -rv "${ED}${vimfiles}"/{compiler,doc,ftplugin,indent} || die
rm -rv "${ED}${vimfiles}"/{macros,print,tools,tutor} || die
rm -v "${ED}"/usr/bin/vimtutor || die
for f in "${ED}${vimfiles}"/colors/*.vim; do
if [[ ${f} != */@(default).vim ]] ; then
printf '%s\0' "${f}"
fi
done | xargs -0 rm -f || die
for f in "${ED}${vimfiles}"/syntax/*.vim; do
if [[ ${f} != */@(conf|crontab|fstab|inittab|resolv|sshdconfig|syntax|nosyntax|synload).vim ]] ; then
printf '%s\0' "${f}"
fi
done | xargs -0 rm -f || die
fi
newbashcomp "${FILESDIR}"/xxd-completion xxd
# install gvim icon since both vim/gvim desktop files reference it
doicon -s scalable "${FILESDIR}"/gvim.svg
}
pkg_postinst() {
# update documentation tags (from vim-doc.eclass)
update_vim_helptags
# update icon cache
xdg_icon_cache_update
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# update icon cache
xdg_icon_cache_update
}

@ -1,4 +1,5 @@
DIST vim-9.0.1000.tar.gz 16842747 BLAKE2B 85edab7d13daa3e84ef0aeb50e3e9bfd31f0634d8e480c105727b0c34318e0adf7f1276dcdac53df8fc416fd8dfb70377cd74ed570752a3e77f07a083fa6c113 SHA512 9d2b914a112948d77b92c8dcafc2f711a83c3fdaf35a28f7f606e77007b9320e2260a0f6b24fc875a817c33c012f077f89730b34e9f12d6f00795c5c806704c8
DIST vim-9.0.1157.tar.gz 16924574 BLAKE2B 0cdc6cf61f5abdaff0762b98550bfa5bae8f0485ddd0e9947a5fe52390f9da54fc8f5fdae767fb8f5d3ac2b441253917a80ae7f6092f67b69bdc9b6a630df8e2 SHA512 19240a9bcf5900766db42e2894b1bf7b849274711f17dc267671aacd867b334c3d30f39947dde7dd0245f289e9ad801eeb272f34a2ab15d01fac40bf71a54271
DIST vim-9.0.1363.tar.gz 16974190 BLAKE2B 456114cd7e74836998b51e9272e9c9a12952146f42740b3df66e36ee8e47c8c0538341d9ac9c877c93e0b356fd9ca46a2016e9386d53e3cbfd51d0e2b113bc5a SHA512 2e79e104d9816438c14f94d0e858766129eb3f706b3a89a9761331d32b46b3f83eeadb2ce0d2ec14392a69122ab8761e57218c0e5731a4453d2b91f53a70c4c8
DIST vim-9.0.1403.tar.gz 16976705 BLAKE2B 9664d52de488086308fcbcda0b0a1167161afbf0efbb40dd9ce9e2393f0ada35e0a44d7f0c3f789d26ae1427604a281f689e87885fbb1557dce12a69898ec46d SHA512 bd83feba38a4aa9b3cf910a0b5a2c153abc4c6eaf9abf0ebee389879ff9ddee51c6f9dba5151aab5df3f73594cf8921d0a0e34121c50e65366cdcdd6482fd00f
DIST vim-patches-vim-9.0.1000-patches.tar.bz2 3245 BLAKE2B 3bf3d0e314cc3f96d5d9675de196a62c4c8a72645d56ef94b80768571c99cba5cc556442e3bd2dfa8818460fd851fe7bd1ae15999af7225fb271b81c43105843 SHA512 2883441a2001bf7ce89a7f0862f780b71cc0164c8fcb8dbdf7040e1bcbcf408d138d3d77f308aa54c762e9975fa5ec89cfceeabbf721344dfc938870a363667a

@ -0,0 +1,382 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
# Please bump with app-editors/vim-core and app-editors/gvim
VIM_VERSION="9.0"
VIM_PATCHES_VERSION="9.0.1000"
LUA_COMPAT=( lua5-{1..4} luajit )
PYTHON_COMPAT=( python3_{9..11} )
PYTHON_REQ_USE="threads(+)"
USE_RUBY="ruby27 ruby30 ruby31"
inherit vim-doc flag-o-matic bash-completion-r1 lua-single python-single-r1 ruby-single toolchain-funcs desktop xdg-utils
if [[ ${PV} == 9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vim/vim.git"
else
SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://gitweb.gentoo.org/proj/vim-patches.git/snapshot/vim-patches-vim-${VIM_PATCHES_VERSION}-patches.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
DESCRIPTION="Vim, an improved vi-style text editor"
HOMEPAGE="https://www.vim.org https://github.com/vim/vim"
LICENSE="vim"
SLOT="0"
IUSE="X acl crypt cscope debug gpm lua minimal nls perl python racket ruby selinux sound tcl terminal vim-pager"
REQUIRED_USE="
lua? ( ${LUA_REQUIRED_USE} )
python? ( ${PYTHON_REQUIRED_USE} )
vim-pager? ( !minimal )
"
RDEPEND="
>=app-eselect/eselect-vi-1.1
>=sys-libs/ncurses-5.2-r2:0=
nls? ( virtual/libintl )
acl? ( kernel_linux? ( sys-apps/acl ) )
crypt? ( dev-libs/libsodium:= )
cscope? ( dev-util/cscope )
gpm? ( >=sys-libs/gpm-1.19.3 )
lua? ( ${LUA_DEPS}
$(lua_gen_impl_dep 'deprecated' lua5-1)
)
~app-editors/vim-core-${PV}
!<app-editors/vim-core-8.2.4328-r1
vim-pager? ( app-editors/vim-core[-minimal] )
perl? ( dev-lang/perl:= )
python? ( ${PYTHON_DEPS} )
racket? ( dev-scheme/racket )
ruby? ( ${RUBY_DEPS} )
selinux? ( sys-libs/libselinux )
sound? ( media-libs/libcanberra )
tcl? ( dev-lang/tcl:0= )
X? ( x11-libs/libXt )
"
DEPEND="${RDEPEND}"
# configure runs the Lua interpreter
BDEPEND="
sys-devel/autoconf
lua? ( ${LUA_DEPS} )
nls? ( sys-devel/gettext )
"
PDEPEND="!minimal? ( app-vim/gentoo-syntax )"
if [[ ${PV} != 9999* ]]; then
# Gentoo patches to fix runtime issues, cross-compile errors, etc
PATCHES=(
"${WORKDIR}/vim-patches-vim-${VIM_PATCHES_VERSION}-patches"
)
fi
# platform-specific checks (bug #898452):
# - acl() -- Solaris
# - statacl() -- AIX
QA_CONFIG_IMPL_DECL_SKIP=(
'acl'
'statacl'
)
pkg_setup() {
# people with broken alphabets run into trouble. bug #82186.
unset LANG LC_ALL
export LC_COLLATE="C"
use lua && lua-single_pkg_setup
use python && python-single-r1_pkg_setup
}
src_prepare() {
default
# Fixup a script to use awk instead of nawk
sed -i -e \
'1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
"${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
# Read vimrc and gvimrc from /etc/vim
echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
>> "${S}"/src/feature.h || die "echo failed"
# Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
# Hopefully this pattern won't break for a while at least.
# This fixes bug #29398 (27 Sep 2003 agriffis)
sed -i -e \
's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
"${S}"/runtime/doc/syntax.txt \
"${S}"/runtime/doc/tagsrch.txt \
"${S}"/runtime/doc/usr_29.txt \
"${S}"/runtime/menu.vim \
"${S}"/src/configure.ac || die 'sed failed'
# Don't be fooled by /usr/include/libc.h. When found, vim thinks
# this is NeXT, but it's actually just a file in dev-libs/9libs
# This fixes bug #43885 (20 Mar 2004 agriffis)
sed -i -e \
's/ libc\.h / /' \
"${S}"/src/configure.ac || die 'sed failed'
# gcc on sparc32 has this, uhm, interesting problem with detecting EOF
# correctly. To avoid some really entertaining error messages about stuff
# which isn't even in the source file being invalid, we'll do some trickery
# to make the error never occur. bug 66162 (02 October 2004 ciaranm)
find "${S}" -name '*.c' | while read c; do
echo >> "$c" || die "echo failed"
done
# conditionally make the manpager.sh script
if use vim-pager; then
cat > "${S}"/runtime/macros/manpager.sh <<-_EOF_ || die "cat EOF failed"
#!/bin/sh
sed -e 's/\x1B\[[[:digit:]]\+m//g' | col -b | \\
vim \\
-c 'let no_plugin_maps = 1' \\
-c 'set nolist nomod ft=man ts=8' \\
-c 'let g:showmarks_enable=0' \\
-c 'runtime! macros/less.vim' -
_EOF_
fi
# Try to avoid sandbox problems. Bug #114475.
if [[ -d "${S}"/src/po ]]; then
sed -i -e \
'/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
"${S}"/src/po/Makefile || die "sed failed"
fi
cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
sed -i -e \
"s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
"${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
# Fix bug 18245: Prevent "make" from the following chain:
# (1) Notice configure.ac is newer than auto/configure
# (2) Rebuild auto/configure
# (3) Notice auto/configure is newer than auto/config.mk
# (4) Run ./configure (with wrong args) to remake auto/config.mk
sed -i 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
rm src/auto/configure || die "rm failed"
}
src_configure() {
# Fix bug #37354: Disallow -funroll-all-loops on amd64
# Bug #57859 suggests that we want to do this for all archs
filter-flags -funroll-all-loops
# Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
# everyone since previous flag filtering bugs have turned out to affect
# multiple archs...
replace-flags -O3 -O2
emake -j1 -C src autoconf
# This should fix a sandbox violation (see bug #24447). The hvc
# things are for ppc64, see bug #86433.
for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
if [[ -e "${file}" ]]; then
addwrite ${file}
fi
done
local myconf=()
if use minimal; then
myconf=(
--with-features=tiny
--disable-nls
--disable-canberra
--disable-acl
--enable-gui=no
--without-x
--disable-darwin
--disable-luainterp
--disable-perlinterp
--disable-pythoninterp
--disable-mzschemeinterp
--disable-rubyinterp
--disable-selinux
--disable-tclinterp
--disable-gpm
)
else
use debug && append-flags "-DDEBUG"
myconf=(
--with-features=huge
$(use_enable sound canberra)
$(use_enable acl)
$(use_enable crypt libsodium)
$(use_enable cscope)
$(use_enable gpm)
$(use_enable nls)
$(use_enable perl perlinterp)
$(use_enable python python3interp)
$(use_with python python3-command "${PYTHON}")
$(use_enable racket mzschemeinterp)
$(use_enable ruby rubyinterp)
$(use_enable selinux)
$(use_enable tcl tclinterp)
$(use_enable terminal)
)
# --with-features=huge forces on cscope even if we --disable it. We need
# to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
if ! use cscope; then
sed -i -e \
'/# define FEAT_CSCOPE/d' src/feature.h || die "sed failed"
fi
if use lua; then
# -DLUA_COMPAT_OPENLIB=1 is required to enable the
# deprecated (in 5.1) luaL_openlib API (#874690)
use lua_single_target_lua5-1 && append-cppflags -DLUA_COMPAT_OPENLIB=1
myconf+=(
--enable-luainterp
$(use_with lua_single_target_luajit luajit)
--with-lua-prefix="${EPREFIX}/usr"
)
fi
# don't test USE=X here ... see bug #19115
# but need to provide a way to link against X ... see bug #20093
myconf+=(
--enable-gui=no
--disable-darwin
$(use_with X x)
)
fi
# let package manager strip binaries
export ac_cv_prog_STRIP="$(type -P true ) faking strip"
# keep prefix env contained within the EPREFIX
use prefix && myconf+=( --without-local-dir )
if tc-is-cross-compiler ; then
export vim_cv_getcwd_broken=no \
vim_cv_memmove_handles_overlap=yes \
vim_cv_stat_ignores_slash=yes \
vim_cv_terminfo=yes \
vim_cv_toupper_broken=no
fi
econf \
--with-modified-by=Gentoo-${PVR} \
"${myconf[@]}"
}
src_compile() {
# The following allows emake to be used
emake -j1 -C src auto/osdef.h objects
emake
}
src_test() {
einfo
einfo "Starting vim tests. Several error messages will be shown"
einfo "while the tests run. This is normal behaviour and does not"
einfo "indicate a fault."
einfo
ewarn "If the tests fail, your terminal may be left in a strange"
ewarn "state. Usually, running 'reset' will fix this."
einfo
# Don't let vim talk to X
unset DISPLAY
# Arch and opensuse seem to do this and at this point, I'm willing
# to try anything to avoid random test hangs!
export TERM=xterm
# See https://github.com/vim/vim/blob/f08b0eb8691ff09f98bc4beef986ece1c521655f/src/testdir/runtest.vim#L5
# for more information on test variables we can use.
# Note that certain variables need vim-compatible regex (not PCRE), see e.g.
# http://www.softpanorama.org/Editors/Vimorama/vim_regular_expressions.shtml.
#
# Skipped tests:
# - Test_expand_star_star
# Hangs because of a recursive symlink in /usr/include/nodejs (bug #616680)
# - Test_exrc
# Looks in wrong location? (bug #742710)
# - Test_job_tty_in_out
# Fragile and depends on TERM(?)
# - Test_spelldump_bang
# Hangs.
# - Test_fuzzy_completion_env
# Too sensitive to leaked environment variables.
# - Test_term_mouse_multiple_clicks_to_select_mode
# Hangs.
# - Test_spelldump
# Hangs.
export TEST_SKIP_PAT='\(Test_expand_star_star\|Test_exrc\|Test_job_tty_in_out\|Test_spelldump_bang\|Test_fuzzy_completion_env\|Test_term_mouse_multiple_clicks_to_select_mode\|Test_spelldump\)'
emake -j1 -C src/testdir nongui
}
# Call eselect vi update with --if-unset
# to respect user's choice (bug #187449)
eselect_vi_update() {
ebegin "Calling eselect vi update"
eselect vi update --if-unset
eend $?
}
src_install() {
local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
# Note: Do not install symlinks for 'vi', 'ex', or 'view', as these are
# managed by eselect-vi
dobin src/vim
if ! use minimal ; then
dosym vim /usr/bin/vimdiff
fi
dosym vim /usr/bin/rvim
dosym vim /usr/bin/rview
if use vim-pager ; then
dosym ${vimfiles}/macros/less.sh /usr/bin/vimpager
dosym ${vimfiles}/macros/manpager.sh /usr/bin/vimmanpager
insinto ${vimfiles}/macros
doins runtime/macros/manpager.sh
fperms a+x ${vimfiles}/macros/manpager.sh
fi
domenu runtime/vim.desktop
newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
# keep in sync with 'complete ... -F' list
bashcomp_alias vim ex vi view rvim rview vimdiff
}
pkg_postinst() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Call eselect vi update
eselect_vi_update
# update desktop file mime cache
xdg_desktop_database_update
}
pkg_postrm() {
# Update documentation tags (from vim-doc.eclass)
update_vim_helptags
# Call eselect vi update
eselect_vi_update
# update desktop file mime cache
xdg_desktop_database_update
}

Binary file not shown.

@ -1,3 +1,3 @@
DIST eglot-1.11.tar.xz 36900 BLAKE2B 20496e37944127c0e209762d2455fad01e6578fd1fa8350cc1a6782ed3e5dc11b09f8b737cd97d5439ab7ef67caa5cdf725d53d2e9e91bbca10223106a9073ad SHA512 c258c89d8c81b1c1df8ea9798c120a7534c174ce435a4551f503c7477520619ac08bd627372033ed1740dfc67bf7e8004751259769844d6be9adc9411d8ae5ac
DIST eglot-1.8.tar.gz 302450 BLAKE2B 7247b11adaf9a65a2e071ca17b55038fe85f5842fb4155b44dbfa82bae5774e4cd2f7a5557d40cb1a7ab7f554233f15abe297e10568a1630b464ab6a600d978f SHA512 0295eff6dfbbf9d7a82349b8e5ed9e7dad700f2f0bfcab879d906e30bfbb4d28b8779fd9076108ac9b1594a60ca5e30c5035e2f8ceae44add99c28a843027609
DIST eglot-1.13.tar.gz 303750 BLAKE2B ecd2efe5fcf2d0d8229336f01ced60f882cfb3e4a0a8af6bcd9f5da0e5cdc6d247634960de50fe46cd4fdac32ea83cd3b506fd025f109c684cb468a60969cbc4 SHA512 43e659213e8f2cedd0ecbd0a2bb1b475de37083577845574adb8bb61d20d0c72b8fc291689e1654c00156f8b2c03d29fc327f7adbac0eb0c5f88d851583f28b8
DIST eglot-1.9.tar.gz 316541 BLAKE2B 5b9f188ae3f2b26fd7bb95aeb3095fbf5a78f6a15eeccaceaf947f5f91e78253622d2c81d5e57f11762c0370baf9d6c856a4f770c2652840d750f98ee780b418 SHA512 961399e0877a09bd292424715c3fac86e7750e144ba302e61262925b6ded1d30c6ebf3e63067b27b56fa2062461a947425951ac5538e25312d179fa20bd68b79

@ -0,0 +1,44 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=26.3
inherit elisp
DESCRIPTION="A minimal Emacs LSP client"
HOMEPAGE="https://github.com/joaotavora/eglot/
https://elpa.gnu.org/packages/eglot.html"
if [[ ${PV} == *9999* ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/joaotavora/${PN}.git"
else
if [[ ${PV} == 1.13 ]] ; then
COMMIT=563d01ab6d4a2f92f38bf92e9702014191031343
SRC_URI="https://github.com/joaotavora/${PN}/archive/${COMMIT}.tar.gz
-> ${P}.tar.gz"
S="${WORKDIR}"/${PN}-${COMMIT}
else
SRC_URI="https://github.com/joaotavora/${PV}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
fi
KEYWORDS="~amd64"
fi
LICENSE="GPL-3"
SLOT="0"
RESTRICT="test"
RDEPEND="app-emacs/external-completion"
BDEPEND="${RDEPEND}"
SITEFILE="50${PN}-gentoo.el"
src_install() {
rm eglot-tests.el* || die
elisp-make-autoload-file "${S}"/${PN}-autoload.el "${S}"/
elisp_src_install
}

@ -1,28 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS="26.1"
inherit elisp
DESCRIPTION="A minimal Emacs LSP client"
HOMEPAGE="https://github.com/joaotavora/eglot"
SRC_URI="https://github.com/joaotavora/eglot/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64"
# test requires internet connection to install several language servers, one of which
# is not packaged
RESTRICT="test"
SITEFILE="50${PN}-gentoo.el"
ELISP_REMOVE="eglot-tests.el"
DOCS=( README.md NEWS.md )
src_install() {
elisp-make-autoload-file "${S}"/${PN}-autoload.el "${S}"/
elisp_src_install
}

@ -1 +1,2 @@
DIST macrostep-0.9.1.tar.gz 32980 BLAKE2B b2949041ab8e6e894046b1be84a223880544f5432606b229fca5a348cca605112d63837587a55654a64971d97e48b063d8cdf4bf1c3f01b23f1db168eb350dbb SHA512 8e6af8040694371958314ca94ec1fbc7a309f82eaa4fd05333e0d16c369d9342d90c86153ce3890b7dfb12567d69526cfb8a2aa5452f4f53dc9497d92ae08aac
DIST macrostep-0.9.tar.gz 50226 BLAKE2B e4e4d1b3f8b3a2abb464d4a4c13f4cc2c26114842cf90f68d5ee2082ef521d48b6de30cb743506d6aa15790b630aa7d3eda90578ce308c4c4595bdfb6f58f15b SHA512 1a3b67ddbb29007db542028dc965807764ac3df4ff6b90f42c50b2623843a905e302b316757b8d7975b0f10a06501262b1d9fd6f94c9b09618b31e2a7d602828

@ -0,0 +1,33 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
NEED_EMACS=24.3
inherit elisp
DESCRIPTION="Interactive macro-expander for Emacs"
HOMEPAGE="https://github.com/joddie/macrostep/
https://github.com/emacsorphanage/macrostep/"
SRC_URI="https://github.com/emacsorphanage/${PN}/archive/${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~amd64 ~x86"
PATCHES=( "${FILESDIR}"/${PN}-test.patch )
DOCS=( README.org )
SITEFILE="50${PN}-gentoo.el"
src_test() {
${EMACS} ${EMACSFLAGS} -L . --load ${PN}-test.el || die "test failed"
}
src_install() {
rm macrostep-test.el{,c} || die
elisp_src_install
}

@ -23,5 +23,6 @@
<upstream>
<bugs-to>https://github.com/joddie/macrostep/issues/</bugs-to>
<remote-id type="github">joddie/macrostep</remote-id>
<remote-id type="github">emacsorphanage/macrostep</remote-id>
</upstream>
</pkgmetadata>

@ -1,3 +1,3 @@
DIST posframe-1.3.2.tar.gz 78915 BLAKE2B a9499f6eb6ddfd888a834c020e95e0a990eaff207e8be681e8945d9852c52c8b4e2c37ad3f78bb0714d411594ea8887743c90ccef65049a0c0b5caf1a90457c6 SHA512 6cc8e57455e4427aba8cc0323c2d9e2e191d71aa7d8d1190a86edf9475b01bafd14ab18ec3445f9cc86a0299824955042198c84ba95e63673db310ff1aa7704e
DIST posframe-1.3.3.tar.gz 78945 BLAKE2B 790c66a43e2244e5d415d409584fc5f219c61d363c515b9beff0f2e69d52ecfba01e2272e5212ad0e9265e327c57ffcd456d3d3c7dc75af0a59e9c7c36044e65 SHA512 04eaaaa57d35b42c904099d609be7dd1a58ead36353b7e30a169f3865272a1f34ab133ecf08ea1660876ccf9259ee621a060e15b1b2b6457b12919c837279a36
DIST posframe-1.4.0.tar.gz 79130 BLAKE2B daa7635c24df2b7f6e06417cd578cd136d64035719669c6929a0699dd67525efa7399f05f27bfbb5b77817b04c2f1f1bb16e9923ed097ac2239d68086fcee30c SHA512 a9a9faae67bdd3d2bf992c469878c5d9b908e14cca376670521be579a53b63829a2ab4bfd21f9428546c4d25bb8d9e3600fc6c84077929f5a5b65f6e84017d8a
DIST posframe-1.4.1.tar.gz 79140 BLAKE2B fd041d19ca2bffb89b43a2ad5e182bca6f0b00b190040b1d2b6da1978de62b9d404e80c4b7c3c7b688a916b1cf7d2c69c110fa3db6fdf6bdea8862ccaa8dbf18 SHA512 154362ee8948b627efffa6bf2b2e427a80c24467530e94c59b249f21e0e42472de35e69e70e3704cecc19dcbe96647c32b1c4570c9594e588b164fc7892fe94e

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8

@ -1,2 +1,2 @@
DIST use-package-2.4.1.tar.gz 124368 BLAKE2B 5eaa6f500234d86651e155fa5360362c5e2696a8b258d5785a02b94f4ccacc6a9815e0b53f663684cef1cc9aa6c6812a5f59e04de3a3d7c5ac36e9dfb6ea09ea SHA512 7248243dbddd939eb1ef9e76f9410265ed1cc48398745f593b57122261a6bb3bf4ab40392b6f29476ca33922f7087a52596a87968cf4914e5ed82db6c513bbbf
DIST use-package-2.4.4.tar.gz 80065 BLAKE2B ee38736f011f1ea7522d24451bfa9dee4a17690cf7f3a885936a75bff1bb26950207b3111632826df54481b081ab1a109800f8857fceace622821dfef1324133 SHA512 09bca5a9a48fdbdf204a4b92f1f301a6bc63f57192868671d833d829f0eba0a4b95e706584158407bc8c9ee4549e699f6b43a333a4de15c6b0aabc74db2acc0e
DIST use-package-2.4.5.tar.xz 61288 BLAKE2B e494791eb2ddee436d6ea1488e632fcad71ba1ace7b2a430c706d5db3e4aad1e25e306e6214e04bafdec79f02c8ae29092207696fffa9d9b2450eb931c6986ed SHA512 01321a4d989dc51ad46bf228c75ea1e666deaf4c34106205bb0e630beb1e71bc7d9cfe1888bc7683d030532191edf94d542045bdae4d2ba8337d354d43440b3c

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# NOTICE: This package provides all "use-package" Emacs Lisp libraries except
@ -11,8 +11,9 @@ NEED_EMACS=24.3
inherit elisp
DESCRIPTION="Declaration macro for simplifying your Emacs configuration"
HOMEPAGE="https://github.com/jwiegley/use-package/"
SRC_URI="https://github.com/jwiegley/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
HOMEPAGE="https://github.com/jwiegley/use-package/
https://elpa.gnu.org/packages/use-package.html"
SRC_URI="https://dev.gentoo.org/~xgqt/distfiles/repackaged/${P}.tar.xz"
LICENSE="GPL-3+"
SLOT="0"
@ -26,18 +27,7 @@ RDEPEND="
"
BDEPEND="${RDEPEND}"
DOCS=( NEWS.md README.md use-package.org )
PATCHES=( "${FILESDIR}"/${PN}-require-diminish.patch )
ELISP_TEXINFO="${PN}.texi"
SITEFILE="50${PN}-gentoo.el"
src_test() {
emake BATCH="${EMACS} ${EMACSFLAGS} -L . -l diminish" test
}
src_install() {
rm bind-{chord,key}.el{,c} ${PN}-tests.el || die
elisp_src_install
}

Binary file not shown.

@ -1 +1,2 @@
DIST diskimage-builder-3.26.0.tar.gz 515778 BLAKE2B ac57ddb043f08052c337093e74255e7a4a01d6469e26387dd3c968dabb840db2323c8bb6cb4d4758c62c4b6e659873d2c6228312d6798a4101a3792ce760d067 SHA512 06b949f7561e2d60397b27f905ebd997356537091b39a9a2ec26c14da9d7ebcf44f79c97895cfd3b4dde576407840b6f407b9009fbea3def40bcc218589a034f
DIST diskimage-builder-3.27.0.tar.gz 515925 BLAKE2B 5a064098542bf5a9936868622e8cb90f975b8e23df5ba868689e2f27b4168de40aa12678c643674f127076268f8103fc02f126486efceb5456a5b21ec14e7304 SHA512 25966991ad81eb500a5573b15fc37c0ec1ea55b0f8b9f418a14e30652adaa6e8cb817fb017f4af83343a66300a5d10739b5e99729e947ef27aee45965a3a147f

@ -0,0 +1,40 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{9,10} )
DISTUTILS_USE_SETUPTOOLS=rdepend
PYPI_NO_NORMALIZE=1
inherit distutils-r1
DESCRIPTION="Golden Disk Image builder"
HOMEPAGE="http://docs.openstack.org/developer/diskimage-builder/"
if [[ ${PV} == 9999* ]]; then
inherit git-r3
EGIT_REPO_URI="https://opendev.org/openstack/diskimage-builder.git"
else
inherit pypi
KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
fi
LICENSE="Apache-2.0"
SLOT="0"
IUSE=""
CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
!~dev-python/pbr-2.1.0[${PYTHON_USEDEP}]"
DEPEND="${CDEPEND}"
RDEPEND="${CDEPEND}
>=dev-python/Babel-2.3.4[${PYTHON_USEDEP}]
!~dev-python/Babel-2.4.0[${PYTHON_USEDEP}]
>=dev-python/networkx-1.10[${PYTHON_USEDEP}]
>=dev-python/pyyaml-3.12[${PYTHON_USEDEP}]
>=dev-python/six-1.10.0[${PYTHON_USEDEP}]
>=dev-python/stevedore-1.20.0[${PYTHON_USEDEP}]
app-emulation/qemu
sys-block/parted
sys-fs/multipath-tools
sys-fs/dosfstools
sys-apps/gptfdisk
!dev-python/dib-utils[${PYTHON_USEDEP}]"

@ -6,19 +6,11 @@ Subject: [PATCH] libvirt-8.2.0-fix-paths-for-apparmor.patch
Signed-off-by: Michal Privoznik <mprivozn@redhat.com>
---
src/security/apparmor/libvirt-qemu | 1 +
src/security/apparmor/meson.build | 6 +++---
...t-aa-helper.in => usr.libexec.libvirt.virt-aa-helper.in} | 2 +-
...elper.local => usr.libexec.libvirt.virt-aa-helper.local} | 0
4 files changed, 5 insertions(+), 4 deletions(-)
rename src/security/apparmor/{usr.lib.libvirt.virt-aa-helper.in => usr.libexec.libvirt.virt-aa-helper.in} (97%)
rename src/security/apparmor/{usr.lib.libvirt.virt-aa-helper.local => usr.libexec.libvirt.virt-aa-helper.local} (100%)
diff --git a/src/security/apparmor/libvirt-qemu b/src/security/apparmor/libvirt-qemu
index 250ba4ea58..1599289932 100644
index 44056b5f14..1f0db2cda2 100644
--- a/src/security/apparmor/libvirt-qemu
+++ b/src/security/apparmor/libvirt-qemu
@@ -95,6 +95,7 @@
@@ -96,6 +96,7 @@
/usr/share/sgabios/** r,
/usr/share/slof/** r,
/usr/share/vgabios/** r,
@ -27,7 +19,7 @@ index 250ba4ea58..1599289932 100644
# pki for libvirt-vnc and libvirt-spice (LP: #901272, #1690140)
/etc/pki/CA/ r,
diff --git a/src/security/apparmor/meson.build b/src/security/apparmor/meson.build
index 990f00b4f3..2a2235c89a 100644
index 58b4024b85..c77b32665d 100644
--- a/src/security/apparmor/meson.build
+++ b/src/security/apparmor/meson.build
@@ -1,5 +1,5 @@
@ -37,7 +29,7 @@ index 990f00b4f3..2a2235c89a 100644
'usr.sbin.libvirtd',
'usr.sbin.virtqemud',
'usr.sbin.virtxend',
@@ -34,7 +34,7 @@ install_data(
@@ -35,7 +35,7 @@ install_data(
)
install_data(
@ -48,12 +40,21 @@ index 990f00b4f3..2a2235c89a 100644
+ rename: 'usr.libexec.libvirt.virt-aa-helper',
)
diff --git a/src/security/apparmor/usr.lib.libvirt.virt-aa-helper.in b/src/security/apparmor/usr.libexec.libvirt.virt-aa-helper.in
similarity index 97%
similarity index 94%
rename from src/security/apparmor/usr.lib.libvirt.virt-aa-helper.in
rename to src/security/apparmor/usr.libexec.libvirt.virt-aa-helper.in
index ff1d46bebe..4f2679de7b 100644
index ff1d46bebe..6beedde1b1 100644
--- a/src/security/apparmor/usr.lib.libvirt.virt-aa-helper.in
+++ b/src/security/apparmor/usr.libexec.libvirt.virt-aa-helper.in
@@ -41,7 +41,7 @@ profile virt-aa-helper @libexecdir@/virt-aa-helper {
deny /dev/mapper/* r,
@libexecdir@/virt-aa-helper mr,
- /{usr/,}sbin/apparmor_parser Ux,
+ /{usr/,}{s,}bin/apparmor_parser Ux,
@sysconfdir@/apparmor.d/libvirt/* r,
@sysconfdir@/apparmor.d/libvirt/libvirt-[0-9a-f]*-[0-9a-f]*-[0-9a-f]*-[0-9a-f]*-[0-9a-f]* rw,
@@ -71,5 +71,5 @@ profile virt-aa-helper @libexecdir@/virt-aa-helper {
/**.[iI][sS][oO] r,
/**/disk{,.*} r,
@ -65,6 +66,3 @@ diff --git a/src/security/apparmor/usr.lib.libvirt.virt-aa-helper.local b/src/se
similarity index 100%
rename from src/security/apparmor/usr.lib.libvirt.virt-aa-helper.local
rename to src/security/apparmor/usr.libexec.libvirt.virt-aa-helper.local
--
2.34.1

@ -0,0 +1,55 @@
From ab5ce6ac561b9ef5d97ee8268df048b3432d7b8b Mon Sep 17 00:00:00 2001
Message-Id: <ab5ce6ac561b9ef5d97ee8268df048b3432d7b8b.1679397051.git.mprivozn@redhat.com>
From: Michal Privoznik <mprivozn@redhat.com>
Date: Mon, 20 Mar 2023 13:38:27 +0100
Subject: [PATCH] meson: Stop detecting -Wl,--version-script=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
With its version 16.0, the LLVM's linker turned on
--no-undefined-version by default [1]. This breaks how we detect
--version-script= detection, because at the compile time there's
no library built yet that we can use to make --version-script=
happy. Unfortunately, meson does not provide a way to detect this
either [2].
But there's not much sense in detecting the argument either. We
already special case some systems (windows, darwin) and do the
check for others, which are expected to support versioned
symbols, because of ELF. Worst case scenario - the error is
reported during compile time rather than configure time.
1: https://reviews.llvm.org/D135402
2: https://github.com/mesonbuild/meson/issues/3047
Resolves: https://bugs.gentoo.org/902211
Signed-off-by: Michal Privoznik <mprivozn@redhat.com>
Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>
(cherry picked from commit 743fdb97c81f38adc6e9b55f402244f7982352f4)
Signed-off-by: Michal Privoznik <mprivozn@redhat.com>
---
meson.build | 7 +------
1 file changed, 1 insertion(+), 6 deletions(-)
diff --git a/meson.build b/meson.build
index 0b3187ad88..53156329a4 100644
--- a/meson.build
+++ b/meson.build
@@ -514,12 +514,7 @@ elif host_machine.system() == 'darwin'
# macOS libraries don't support symbol versioning
version_script_flags = ''
else
- test_file = '@0@/src/libvirt_qemu.syms'.format(meson.source_root())
- if cc.has_link_argument('-Wl,--version-script=@0@'.format(test_file))
- version_script_flags = '-Wl,--version-script='
- else
- error('No supported version script link argument found.')
- endif
+ version_script_flags = '-Wl,--version-script='
endif
libvirt_flat_namespace = []
--
2.39.2

@ -0,0 +1,53 @@
From 743fdb97c81f38adc6e9b55f402244f7982352f4 Mon Sep 17 00:00:00 2001
Message-Id: <743fdb97c81f38adc6e9b55f402244f7982352f4.1679396460.git.mprivozn@redhat.com>
From: Michal Privoznik <mprivozn@redhat.com>
Date: Mon, 20 Mar 2023 13:38:27 +0100
Subject: [PATCH] meson: Stop detecting -Wl,--version-script=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
With its version 16.0, the LLVM's linker turned on
--no-undefined-version by default [1]. This breaks how we detect
--version-script= detection, because at the compile time there's
no library built yet that we can use to make --version-script=
happy. Unfortunately, meson does not provide a way to detect this
either [2].
But there's not much sense in detecting the argument either. We
already special case some systems (windows, darwin) and do the
check for others, which are expected to support versioned
symbols, because of ELF. Worst case scenario - the error is
reported during compile time rather than configure time.
1: https://reviews.llvm.org/D135402
2: https://github.com/mesonbuild/meson/issues/3047
Resolves: https://bugs.gentoo.org/902211
Signed-off-by: Michal Privoznik <mprivozn@redhat.com>
Reviewed-by: Daniel P. Berrangé <berrange@redhat.com>
---
meson.build | 7 +------
1 file changed, 1 insertion(+), 6 deletions(-)
diff --git a/meson.build b/meson.build
index c35823a79a..a0682e8d0b 100644
--- a/meson.build
+++ b/meson.build
@@ -534,12 +534,7 @@ elif host_machine.system() == 'darwin'
# macOS libraries don't support symbol versioning
version_script_flags = ''
else
- test_file = '@0@/src/libvirt_qemu.syms'.format(meson.project_source_root())
- if cc.has_link_argument('-Wl,--version-script=@0@'.format(test_file))
- version_script_flags = '-Wl,--version-script='
- else
- error('No supported version script link argument found.')
- endif
+ version_script_flags = '-Wl,--version-script='
endif
libvirt_flat_namespace = []
--
2.39.2

@ -137,6 +137,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-6.0.0-fix_paths_in_libvirt-guests_sh.patch
"${FILESDIR}"/${PN}-8.2.0-do-not-use-sysconfig.patch
"${FILESDIR}"/${PN}-8.2.0-fix-paths-for-apparmor.patch
"${FILESDIR}"/${PN}-8.7.0-meson-Stop-detecting-Wl-version-script.patch
)
pkg_setup() {

@ -137,6 +137,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-6.0.0-fix_paths_in_libvirt-guests_sh.patch
"${FILESDIR}"/${PN}-8.2.0-do-not-use-sysconfig.patch
"${FILESDIR}"/${PN}-8.2.0-fix-paths-for-apparmor.patch
"${FILESDIR}"/${PN}-8.7.0-meson-Stop-detecting-Wl-version-script.patch
)
pkg_setup() {

@ -144,6 +144,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-6.0.0-fix_paths_in_libvirt-guests_sh.patch
"${FILESDIR}"/${PN}-8.2.0-do-not-use-sysconfig.patch
"${FILESDIR}"/${PN}-8.2.0-fix-paths-for-apparmor.patch
"${FILESDIR}"/${PN}-9.2.0-meson-Stop-detecting-Wl-version-script.patch
)
pkg_setup() {

@ -140,6 +140,7 @@ PATCHES=(
"${FILESDIR}"/${PN}-6.0.0-fix_paths_in_libvirt-guests_sh.patch
"${FILESDIR}"/${PN}-8.2.0-do-not-use-sysconfig.patch
"${FILESDIR}"/${PN}-8.2.0-fix-paths-for-apparmor.patch
"${FILESDIR}"/${PN}-9.2.0-meson-Stop-detecting-Wl-version-script.patch
)
pkg_setup() {

Binary file not shown.

@ -1,28 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DESCRIPTION="Manages opencascade env file"
HOMEPAGE="https://www.gentoo.org/proj/en/eselect/"
SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE=""
DEPEND=""
RDEPEND=""
S="${WORKDIR}"
src_install() {
dodir /etc/env.d/opencascade
insinto /usr/share/eselect/modules
newins "${FILESDIR}"/${P}.eselect opencascade.eselect
}
pkg_postrm() {
rm -v "${EROOT}"/etc/env.d/51opencascade
}

@ -1,112 +0,0 @@
# -*-eselect-*- vim: ft=eselect
# Copyright (c) 2006-2019 Gentoo Authors
#
# This file is part of the 'eselect' tools framework.
#
# eselect is free software: you can redistribute it and/or modify it under the
# terms of the GNU General Public License as published by the Free Software
# Foundation, either version 2 of the License, or (at your option) any later
# version.
#
# eselect is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
# A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# eselect. If not, see <http://www.gnu.org/licenses/>.
DESCRIPTION="Manage OpenCASCADE implementation used by your system"
MAINTAINER="waebbl@gmail.com"
VERSION="1"
MODULE=opencascade
TARGET=${EROOT}/etc/env.d/51${MODULE}
CONFDIR=${EROOT}/etc/env.d/${MODULE}
inherit tests path-manipulation
find_implems() {
local -a implems
for file in "${CONFDIR}"/* ; do
[[ -f ${file} ]] || continue
implems=(${implems[@]} "${file##*/}")
done
echo ${implems[@]}
}
is_active() {
local f
[[ $# -eq 1 ]] || die "Need exactly 1 arguments!"
[[ -L ${TARGET} ]] || return 1
f=$(canonicalise ${TARGET})
[[ -e ${f} ]] || return 1
[[ ${f##*/} == ${1} ]]
}
# switch_implem $implem
# switches $iface combination to $implem
switch_implem() {
[[ $# -eq 1 ]] || die "Need exactly 1 arguments!"
$(is_active ${1}) && return
[[ -L ${TARGET} ]] && rm -f ${TARGET}
ln -s ${MODULE}/${1} ${TARGET}
env-update
echo "If you intend to use the selected opencascade in"
echo "an already running shell, please remember to do:"
echo
echo ". /etc/profile"
}
describe_list() {
echo "List available OpenCASCADE implementations"
}
do_list() {
local implem i
write_list_start "Installed $MODULE"
for implem in $(find_implems) ; do
(( i++ ))
is_active ${implem##*/} \
&& implem=$(highlight_marker "${implem}")
write_numbered_list_entry $i "${implem}"
done
}
describe_set() {
echo "Activate one of the installed $MODULE implementations"
}
describe_set_parameters() {
echo "<implementation>"
}
describe_set_options() {
echo "implementation : implementation name or number (from 'list' action)"
}
do_set() {
[[ $# -ne 1 ]] && die -q "Please specify exactly 1 implementation!"
local -a implems
implems=( $(find_implems) )
if is_number ${1} ; then
new_implem=${implems[$(( ${1} - 1 ))]}
else
new_implem=${1}
fi
echo $new_implem
switch_implem ${new_implem}
}
describe_show() {
echo "Print the currently active $MODULE implementation"
}
do_show() {
local f n
[[ -L ${TARGET} ]] || return 1
f=$(canonicalise ${TARGET})
[[ -f ${f} ]] || return 1
echo ${f##*/}
}

@ -1,13 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>waebbl-gentoo@posteo.net</email>
<name>Bernd Waibel</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers project</name>
</maintainer>
<stabilize-allarches/>
</pkgmetadata>

Binary file not shown.

@ -53,7 +53,7 @@ fi
LICENSE="MPL-1.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
KEYWORDS="~alpha amd64 arm ~arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris ~x86-winnt"
IUSE=""
${PRECOMPILED} || IUSE+=" cacert"

@ -11,7 +11,7 @@ SRC_URI="https://onegeek.org/~tom/software/delay/dl/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos"
RDEPEND="sys-libs/ncurses:="
DEPEND="${RDEPEND}"

Binary file not shown.

@ -1 +1,2 @@
DIST calcurse-4.7.1.tar.gz 701563 BLAKE2B 438741b9e0f61438d235fa60d13816d83c19f7d1b612619fe20a78812e77657b003ad0b9416bcc766f0e38e7868b3543972ed65eee43d8f9d6b1d80ba1872091 SHA512 8b5574d2909128c745b2d6367b517c5fb04a1c451e666dc9ee0652b3793b519576af5700d4fd073de0ccd5e5dced6b69c45dbfaf98b35a99784093208512b68e
DIST calcurse-4.8.0.tar.gz 716234 BLAKE2B 3fc703626d5e17b78ff42c0ef4f554585efd8223c2bd9d8c2f7add681602dc585cf066ed7c55a040b2585ad07513b26a5297b3b41f4c94a043f61ad2ad9094c2 SHA512 ea156c4320abf97fdb5abc29ff1f9bc659a3cab0e571295ed04b42dd742c4c45a7d5958dc2d386fc0ee7bd733969a6275405d5cf10cd645c75cb97b6b9e571d6

@ -0,0 +1,51 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
inherit python-single-r1
DESCRIPTION="A text-based calendar and scheduling application"
HOMEPAGE="https://calcurse.org/"
SRC_URI="https://calcurse.org/files/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
IUSE="caldav doc"
RDEPEND="
sys-libs/ncurses:0=
${PYTHON_DEPS}
caldav? (
$(python_gen_cond_dep '
dev-python/httplib2[${PYTHON_USEDEP}]
dev-python/pyparsing[${PYTHON_USEDEP}]
')
)
"
DEPEND="
${RDEPEND}
"
src_configure() {
local myconf=(
$(use_enable doc docs)
--without-asciidoc # do not use AsciiDoc to regenerate docs
)
ECONF_SOURCE="${S}" econf "${myconf[@]}"
}
src_compile() {
default
python_fix_shebang contrib/caldav/calcurse-caldav
}
src_install() {
docompress -x /usr/share/doc # decompress text files
default
}

@ -1,12 +1,22 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<longdescription>
Calcurse is a text-based personal organizer which helps keeping track of
events and everyday tasks. It contains a calendar, a 'todo' list, and
puts your appointments in order. The user interface is configurable, and
one can choose between different color schemes and layouts. All of the
commands are documented within an online help system.
</longdescription>
<longdescription>
Calcurse is a text-based personal organizer which helps keeping track of
events and everyday tasks. It contains a calendar, a 'todo' list, and
puts your appointments in order. The user interface is configurable, and
one can choose between different color schemes and layouts. All of the
commands are documented within an online help system.
</longdescription>
<maintainer type="person" proxied="yes">
<email>kaichun.ning@gmail.com</email>
<name>Kai-Chun Ning</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<use>
<flag name="caldav">Support CalDAV</flag>
</use>
</pkgmetadata>

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -13,7 +13,7 @@ S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
KEYWORDS="amd64 ~ppc ~ppc64 ~x86"
IUSE="video"
DEPEND="

Binary file not shown.

@ -1,4 +1,3 @@
DIST a2ps-4.14-ja_nls.patch.gz 27576 BLAKE2B 7300971fb76f6c8d2b0e5ffa519cf6064519a33f24430b9894e43778dff5b78f7cf7e2b9fe1e98fb475f452b39ccc29f88f579bbe1922ac3ef70775a05591b32 SHA512 f02f553dd9d9dbd9dfe41ebfe103493000aa4e9de5634c94e7453f73b66d88fea6b0010095913a4a99c7285990a1df1ebcc39da451b2b34f96b0c191112b125f
DIST a2ps-4.14.tar.gz 2552507 BLAKE2B cd15a2b85f54f8bfb92adf9f4cf2c3c29091e528ae8072d0e905c58cc94caf55b76ac3e37891f8a0bc0909a177c5ee434fe5aaab3625a2c14127dabad8b506ed SHA512 fd6ac8ab47d789114c283e8ca508f7f56feabd1a189f4ac772cad9e6be7e3791e210892cfffd04ad1d39efe4b15386b2e61bf4cd56b70ed581c0554f36bfe06f
DIST a2ps-4.15.1.tar.gz 3598826 BLAKE2B a205f1c5936329eda0768e1494aba62710ce6eccbdfc695f69d65e4c1cf0b84d6f52dd1c1b32b3aa55a037a37f783cb74cf9d2f3b63cffb07beb0bc15fe7303f SHA512 ed58bd03b9390f44b03ae2458bb94655ef0597f11aa89a2d778b14f03fba4d0e0272795d2f968ae304be46d7b862a2f0ce1dc82328d71a02b0293b23ec8b6fa5
DIST a2ps-4.15.2.tar.gz 3600923 BLAKE2B 37d6dd76578301a629a4171e194cc34836b393ef293193191b2a4e3c5635c154b0d380f921e3862cad64e468108105a669c89e76ec8baa915587f8fff8af8aa9 SHA512 637bda87c7e8d59d923428398d0d67066c700e7e37d91cf3408bfe38f3367afdc651a8248984512fbe71e0d1cb07cb4a348816650748e1fbde52625e8e055a70

@ -1,86 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit autotools elisp-common
DESCRIPTION="Any to PostScript filter"
HOMEPAGE="https://www.gnu.org/software/a2ps/"
SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="cjk emacs latex nls static-libs vanilla"
# a2ps-lpr-wrapper needs bash
RDEPEND="
app-text/ghostscript-gpl
app-text/libpaper:=
>=app-text/psutils-1.17
app-text/wdiff
app-shells/bash:*
dev-libs/boehm-gc
>=sys-apps/coreutils-6.10-r1
emacs? ( >=app-editors/emacs-23.1:* )
latex? ( virtual/latex-base )
nls? ( virtual/libintl )
"
DEPEND="${RDEPEND}"
BDEPEND="
app-alternatives/yacc
>=dev-util/gperf-2.7.2
nls? ( sys-devel/gettext )
"
SITEFILE="50${PN}-gentoo.el"
src_prepare() {
default
use vanilla || eapply "${FILESDIR}"/${PN}-4.15-stdout.patch
eautoreconf
}
src_configure() {
export LANG=C LC_ALL=C
econf \
--enable-shared \
$(use_enable static-libs static) \
--sysconfdir="${EPREFIX}"/etc/a2ps \
$(use_enable nls) \
COM_netscape=no \
COM_acroread=no \
$(usev !latex COM_latex=no) \
$(usev !emacs EMACS=no)
}
src_install() {
emake \
DESTDIR="${D}" \
lispdir="${EPREFIX}${SITELISP}"/${PN} \
install
newdoc "${ED}"/usr/share/a2ps/README README.a2ps
newdoc "${ED}"/usr/share/a2ps/ppd/README README.a2ps.ppd
newdoc "${ED}"/usr/share/ogonkify/README README.ogonkify
rm -f "${ED}"/usr/share/{a2ps,a2ps/ppd,ogonkify}/README || die
find "${ED}" -name '*.la' -delete || die
use emacs && elisp-site-file-install "${FILESDIR}"/${SITEFILE}
dodoc ANNOUNCE AUTHORS ChangeLog FAQ NEWS README* THANKS TODO
}
pkg_postinst() {
use emacs && elisp-site-regen
}
pkg_postrm() {
use emacs && elisp-site-regen
}

@ -18,7 +18,7 @@ S="${WORKDIR}/${P/_/-}"
LICENSE="BSD-2"
SLOT="0"
[[ "${PV}" == *_beta* ]] || \
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris"
IUSE="debug nls test"
RDEPEND="

@ -1,4 +1,2 @@
DIST master-pdf-editor-5.7.90-qt5.x86_64.tar.gz 15962243 BLAKE2B 4331a5d17ed9a0ff7a70c353907a4c0d5e99db447760f6103d412eabe0064b1e4ac59ca85bb0cab2bffc5867c8ccde96f68e7ceee227b7b319d93b70482f233d SHA512 823c7212cd3d469bb972e7da66e6eada31149c0bab2a6c577e537ca203862d0fe862e8c9b0cbb479eca0557da4b69a91a88ae0c9215d3b5f105288a9c6c1f2bf
DIST master-pdf-editor-5.8.33-qt5.x86_64.tar.gz 16917660 BLAKE2B 9461759f75c1c8dde19d5434ce9f404093695385d66777ebe71086a5992ff02830743fb4d87a118605a75f50d53732333a9c51f63acf370c5e53aff04ab47a0c SHA512 e6010a427abe424b0f6c9a6af16280f09445a51c46c62b7c6d58dfb5580cd19486741e9389ef835c33d7ca2e5c1eaffe6b2ccf1046c83c6f7746ba4c446ab28b
DIST master-pdf-editor-5.8.52-qt5.x86_64.tar.gz 16425989 BLAKE2B 7cb43b2595f32e36a19b7b71ea8d2ddf2ac9e62873f781d45fd4ef2840918d6ee79dc4c23991ae2aa8469fdeaa5b4b2db8ab509609e47079eab3206d2e72c7fb SHA512 c1936eed6c8dc2080d00e0efffcd02782a2dfda321a525d92c82c9e65ea39b140059300359d4d9aabc98d3ba44d07b2a998a6d8f5c7e6a4b3815a85dbd34530a
DIST master-pdf-editor-5.9.35-qt5.x86_64.tar.gz 16885977 BLAKE2B 68dc3f4746e3259f64e2eeac99797b062c308291a62d79c9a070d76df6ad19c12b07108c754091464f6f5d04d287cb8fdf6335165c10232dca1d2d1ecdae4b68 SHA512 7dbfcbec7fd6f963340375e3067f4f76f2f0d2c239385652c4621574829426f09328f707bfc399901cd801f19ce0bb0d483c3dd37d48fad1b90dafeccf64559e
DIST master-pdf-editor-5.9.40-qt5.x86_64.tar.gz 18902781 BLAKE2B cf72f072c5a4efce66913662d75ae95e9dd10e98945f7c38793003b0e69b7ab3945d1c01858483e7d2dc717ec2de12c659ed50b12deb9aae74eb2c3bb76f9b61 SHA512 5fd2d4b76ed25ef8cc226f2234d2a163df7135a27c80a49cee293aba5864d5759e0a22d417a4b9b35b5b0146a8f372ce8cec0652ce4d9df9f0c9c67dd2dd6beb

@ -1,43 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit desktop xdg
DESCRIPTION="A complete solution for viewing and editing PDF files"
HOMEPAGE="https://code-industry.net/free-pdf-editor/"
SRC_URI="https://code-industry.net/public/${P}-qt5.x86_64.tar.gz"
LICENSE="master-pdf-editor"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="mirror"
RDEPEND="
dev-libs/nss
>=dev-qt/qtcore-5.12.9:5
>=dev-qt/qtgui-5.12.9:5
>=dev-qt/qtnetwork-5.12.9:5
>=dev-qt/qtprintsupport-5.12.9:5
>=dev-qt/qtsvg-5.12.9:5
>=media-gfx/sane-backends-1.0
"
QA_PREBUILT="/opt/${PN}/masterpdfeditor5"
S="${WORKDIR}/${PN}-${PV%%.*}"
src_install() {
insinto /opt/${PN}
doins -r fonts lang stamps templates masterpdfeditor5.png
exeinto /opt/${PN}
doexe masterpdfeditor5
dosym ../${PN}/masterpdfeditor5 /opt/bin/masterpdfeditor5
make_desktop_entry "masterpdfeditor5 %f" \
"Master PDF Editor ${PV}" /opt/${PN}/masterpdfeditor5.png \
"Office;Graphics;Viewer" \
"MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;\nTerminal=false"
}

@ -1,44 +0,0 @@
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
inherit desktop xdg
DESCRIPTION="A complete solution for viewing and editing PDF files"
HOMEPAGE="https://code-industry.net/free-pdf-editor/"
SRC_URI="https://code-industry.net/public/${P}-qt5.x86_64.tar.gz"
S="${WORKDIR}/${PN}-${PV%%.*}"
LICENSE="master-pdf-editor"
SLOT="0"
KEYWORDS="~amd64"
RESTRICT="mirror"
RDEPEND="
sys-libs/glibc
>=dev-qt/qtcore-5.12.9:5
>=dev-qt/qtgui-5.12.9:5
>=dev-qt/qtnetwork-5.12.9:5
>=dev-qt/qtprintsupport-5.12.9:5
>=dev-qt/qtsvg-5.12.9:5
dev-qt/qtwidgets:5
media-libs/libglvnd
>=media-gfx/sane-backends-1.0
"
QA_PREBUILT="opt/${PN}/masterpdfeditor5"
src_install() {
insinto /opt/${PN}
doins -r fonts lang stamps templates masterpdfeditor5.png
exeinto /opt/${PN}
doexe masterpdfeditor5
dosym ../${PN}/masterpdfeditor5 /opt/bin/masterpdfeditor5
make_desktop_entry "masterpdfeditor5 %f" \
"Master PDF Editor ${PV}" /opt/${PN}/masterpdfeditor5.png \
"Office;Graphics;Viewer" \
"MimeType=application/pdf;application/x-bzpdf;application/x-gzpdf;\nTerminal=false"
}

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8

@ -1,4 +1,4 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@ -9,7 +9,7 @@ SRC_URI="https://github.com/rrthomas/psutils/releases/download/v${PV}/${P}.tar.g
LICENSE="GPL-3+"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
# Newer libpaper needed for fork which provides 'paper'
RDEPEND="

@ -14,7 +14,7 @@ SRC_URI="https://github.com/rrthomas/recode/releases/download/v${PV}/${P}.tar.gz
LICENSE="GPL-3+"
# librecode soname version
SLOT="0/3"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
IUSE="nls test"
RESTRICT="!test? ( test )"

@ -10,4 +10,7 @@
<flag name="highlight">Enable syntax highlighting for certain plugins</flag>
<flag name="markdown">Markdown support</flag>
</use>
<upstream>
<remote-id type="github">gettalong/webgen</remote-id>
</upstream>
</pkgmetadata>

@ -10,7 +10,7 @@ HOMEPAGE="http://xdvi.sourceforge.net/"
SRC_URI="mirror://sourceforge/xdvi/${P}.tar.gz"
S="${WORKDIR}"/${P}/texk/xdvik
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
LICENSE="GPL-2"
IUSE="motif neXt Xaw3d emacs"

Binary file not shown.

@ -3,7 +3,7 @@
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 gcc_12 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="A high level string and text processing library"

@ -3,7 +3,7 @@
EAPI=8
ADA_COMPAT=( gcc_12_2_0 gcc_12 )
ADA_COMPAT=( gcc_12 )
inherit ada multiprocessing
DESCRIPTION="A high level string and text processing library"

@ -1,9 +1,9 @@
# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing toolchain-funcs
DESCRIPTION="an implementation of the Microsoft Language Server Protocol for Ada/SPARK"

@ -1,9 +1,9 @@
# Copyright 2021-2022 Gentoo Authors
# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada
commitId=94c0a5f137b88113a791a148b60e5e7d019d6fa1

@ -1,2 +1 @@
DIST aunit-22.0.0.tar.gz 131442 BLAKE2B 6ddc2f37ea06cfd5c7ad4d145b8889e171169108b90252feacf600a00acbd4740e638e7d478e4ac474953f9f3dcb118a4c5486a1cca6380b054661cf4b5f7e18 SHA512 5380fcb18ede7422507aff566f97521760fcc8a713d0e90195128189807784fec828c2e2c538aa0ac897cbdeb15fa2120e67b9e998875aac0ade2636dbea4e96
DIST aunit-23.0.0.tar.gz 131699 BLAKE2B 04ff77214ab6f4f5d59ea0609fffbc6fcfb4695d2fbbed45efa14e2b745c33868e1c134e5d00a7c3d8f11b1a8d15c6212110c78a53df4230b5862fb9b912a434 SHA512 450caa79e4808188107cd065665ca9cab599934e3934d18406b08d3ccebe26c1e95cd0c712ea3403d6082c7c5e8fd9ecf09ae3b63d231b80ad575048b3d61943

@ -1,44 +0,0 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
inherit ada multiprocessing
DESCRIPTION="Ada unit testing framework"
HOMEPAGE="http://libre.adacore.com/tools/aunit/"
SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
RDEPEND="${ADA_DEPS}"
DEPEND="${RDEPEND}
dev-ada/gprbuild[${ADA_USEDEP}]"
REQUIRED_USE="${ADA_REQUIRED_USE}"
PATCHES=(
"${FILESDIR}"/${PN}-2016-gentoo.patch
"${FILESDIR}"/${P}-redundant.patch
)
src_compile() {
emake GPRBUILD="gprbuild -j$(makeopts_jobs) -v"
}
src_install() {
emake INSTALL="${D}"/usr install
einstalldocs
mv "${D}"/usr/share/examples/${PN} "${D}"/usr/share/doc/${PF}/examples || die
rmdir "${D}"/usr/share/examples || die
rm -r "${D}"/usr/share/gpr/manifests || die
}
src_test() {
emake PROJECT_PATH_ARG="ADA_PROJECT_PATH=$(pwd)/lib/gnat" -C test
}

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="Ada unit testing framework"
@ -13,7 +13,7 @@ SRC_URI="https://github.com/AdaCore/${PN}/archive/refs/tags/v${PV}.tar.gz
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
RDEPEND="${ADA_DEPS}"

@ -1,11 +0,0 @@
--- aunit-3.8.0w-src/Makefile.old 2017-01-04 18:13:29.634899987 +0100
+++ aunit-3.8.0w-src/Makefile 2017-01-04 18:15:59.013219503 +0100
@@ -29,7 +29,7 @@
.PHONY: all clean targets install_clean install
all:
- $(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr
+ $(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr -cargs $(ADAFLAGS)
clean-lib:
$(RM) -fr lib/aunit lib/aunit-obj

@ -1,28 +0,0 @@
From 7372e83edf47cf26dc64a49850b6fd80aaea5495 Mon Sep 17 00:00:00 2001
From: Vasiliy Fofanov <fofanov@adacore.com>
Date: Mon, 13 Dec 2021 18:54:17 +0100
Subject: [PATCH] Remove redundant "with" of parent unit
This fixes a warning raised by recent GNAT toolchains.
TN: UC13-054
---
test/src/aunit-test_suites-tests.ads | 3 +--
1 file changed, 1 insertion(+), 2 deletions(-)
diff --git a/test/src/aunit-test_suites-tests.ads b/test/src/aunit-test_suites-tests.ads
index 0d3ea33..377c0c3 100644
--- a/test/src/aunit-test_suites-tests.ads
+++ b/test/src/aunit-test_suites-tests.ads
@@ -1,10 +1,9 @@
--
--- Copyright (C) 2009-2010, AdaCore
+-- Copyright (C) 2009-2021, AdaCore
--
with AUnit.Test_Fixtures;
with AUnit.Test_Results;
-with AUnit.Test_Suites;
package AUnit.Test_Suites.Tests is

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="A complete Web development framework"

@ -4,7 +4,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
ADA_COMPAT=( gnat_2021 gcc_12 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing python-single-r1
DESCRIPTION="GNAT Component Collection"

@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="GNAT Component Collection Core packages"

@ -4,7 +4,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{9..11} )
ADA_COMPAT=( gnat_2021 gcc_12 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing python-single-r1

@ -1,9 +1,9 @@
# Copyright 2022 Gentoo Authors
# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="GNAT Documentation Generation Tool"

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing autotools
MYP=${P}-${PV}0518-19F7B-src

@ -1,8 +1,8 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada
MYP=${P}-${PV}0518-19D3B-src

@ -1,9 +1,9 @@
# Copyright 2022 Gentoo Authors
# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="GPR Unit Provider"

@ -1,9 +1,9 @@
# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
PYTHON_COMPAT=( python3_{9,10,11} )
inherit python-any-r1 ada multiprocessing

@ -3,7 +3,7 @@
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 gcc_12 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing

@ -3,7 +3,7 @@
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 gcc_12 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada

@ -1,9 +1,9 @@
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada autotools multiprocessing
DESCRIPTION="A complete Ada graphical toolkit"

@ -4,7 +4,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
ADA_COMPAT=( gnat_2021 gcc_12 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
DISTUTILS_USE_SETUPTOOLS=no
inherit distutils-r1 ada multiprocessing

@ -1,9 +1,9 @@
# Copyright 1999-2022 Gentoo Authors
# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="Libadalang-based tools: gnatpp, gnatmetric and gnatstub"

@ -4,7 +4,7 @@
EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
ADA_COMPAT=( gnat_2021 gcc_12 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada python-single-r1 multiprocessing

@ -3,7 +3,7 @@
EAPI=7
ADA_COMPAT=( gnat_2021 gcc_12 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
MYPN=gprbuild

@ -1,9 +1,9 @@
# Copyright 2022-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 gcc_12 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada
DESCRIPTION="Provides a markdown parser written in Ada"

@ -3,7 +3,7 @@
EAPI=8
ADA_COMPAT=( gnat_2021 gcc_12_2_0 )
ADA_COMPAT=( gnat_2021 gcc_12 )
inherit ada multiprocessing
DESCRIPTION="Simple API to spawn processes"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save